import { AnnotationLayer } from "./AnnotationLayer";
import { ValueLayerValueMode } from "./ValueLayerValueMode";
import { Brush } from "igniteui-react-core";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { Thickness } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { ValueLayerFrame } from "./ValueLayerFrame";
import { List$1 } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { DoubleCollection } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ValueLayer extends AnnotationLayer {
    static $t: Type;
    protected bc(): Series;
    protected get_d8(): boolean;
    constructor();
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    protected w8: ValueLayerView;
    w7: ValueLayerValueMode;
    zt: Brush;
    zu: Brush;
    x2: string;
    w5: Series;
    xz: string;
    w2: Axis;
    xe: boolean;
    xb: boolean;
    xAxisAnnotationFormatLabel: (item: any) => string;
    w9(): boolean;
    yAxisAnnotationFormatLabel: (item: any) => string;
    xa(): boolean;
    zx: Brush;
    zv: Brush;
    xh: number;
    xt: number;
    zw: Brush;
    get z3(): Thickness;
    xj: number;
    xl: number;
    xk: number;
    xi: number;
    get z4(): Thickness;
    xp: number;
    xr: number;
    xq: number;
    xo: number;
    xm: number;
    z0: Brush;
    zy: Brush;
    xn: number;
    xu: number;
    zz: Brush;
    xs: number;
    z6: Visibility;
    z5: Visibility;
    xd: boolean;
    protected vu(a: Series, b: boolean): void;
    protected vw(a: Frame, b: SeriesView): void;
    protected un(a: Series): boolean;
    protected xc(a: Axis): boolean;
    oq(): void;
    private w6;
    protected t7(): AnnotationAppearanceMode;
    protected uu(): number;
    protected ux(): number;
    protected uw(): number;
    protected wt(): DoubleCollection;
    protected wu(): DoubleCollection;
    private z1;
    private z2;
    private yv;
    private yu;
    private xg;
    private xf;
    protected yw(a: ValueLayerFrame, b: boolean): void;
    private yt;
    protected vz(a: Frame, b: SeriesView): void;
    protected fn(): boolean;
    protected pa(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: ValueLayer);
    protected b7: ValueLayer;
    b8: Pool$1<Path>;
    protected b9: List$1<Path>;
    au(): void;
    private ch;
    private ca;
    private cc;
    private cb;
    cd(a: Path, b: number, c: number, d: number): void;
    ce(a: Brush, b: number): Brush;
    cg(a: Brush, b: number): Brush;
    cf(a: Brush, b: number): Brush;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
